﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ScatterWpfApp
{
    using System;
    using System.Collections;
    using System.IO;
    using Telerik.Windows.Controls;
    public abstract class DataSourceViewModelBase : ViewModelBase
    {
        protected virtual string SilverlightPath
        {
            get
            {
                return "DataSources/{0}";
            }
        }

        protected virtual string WpfPath
        {
            get
            {
                return "pack://application:,,,/ScatterWpfApp;Component/DataResources/EarningsPublicvsPrivateByAge.csv";
            }
        }

        protected virtual void GetData(string fileName)
        {
            try
            {

              //  Uri uri = new Uri(string.Format(this.WpfPath, fileName), UriKind.RelativeOrAbsolute);

                Uri uri = new Uri(this.WpfPath);
            System.Windows.Resources.StreamResourceInfo streamInfo = System.Windows.Application.GetResourceStream(uri);
            using (StreamReader fileReader = new StreamReader(streamInfo.Stream))
            {
                this.GetDataCompleted(this.ParseData(fileReader));
            }
            }
            catch (Exception ex)
            {
                Debug.WriteLine(ex.Message);
            }            

        }

        protected abstract void GetDataCompleted(IEnumerable data);

        protected abstract IEnumerable ParseData(TextReader dataReader);


    }

}
